Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problem with portage
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
ksv
n00b
n00b


Joined: 18 May 2005
Posts: 6
Location: Minsk, Belarus

PostPosted: Fri May 27, 2005 4:17 pm    Post subject: problem with portage Reply with quote

Подскажите новичку, как быть в такой ситуации. У меня установлен mysql-4.1.12 (который, как известно masked). Пытаюсь установить irc-бот eggdrop. Он хочет снести мой mysql и поставить более старую версию 4.0.24. Это не выход. Новый mysql мне нужен для php5. Как заставить его взять тот mysql, который у меня установлен.
Вот что пишет emerge:

# emerge -pv eggdrop

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild UD] dev-db/mysql-4.0.24 [4.1.12] +berkdb -debug -innodb +perl +readline (-selinux) +ssl -static +tcpd 0 kB
[ebuild N ] dev-lang/tcl-8.4.9 -threads 0 kB
[ebuild N ] net-irc/eggdrop-1.6.17 -debug +mysql -postgres +ssl -static 0 kB

Total size of downloads: 0 kB

P.S. Про USE флаги я знаю, не не понимаю, как их применить в этой ситуации.
Back to top
View user's profile Send private message
devil_ua
Tux's lil' helper
Tux's lil' helper


Joined: 23 Jun 2004
Posts: 128
Location: Kiev, Ukraine

PostPosted: Fri May 27, 2005 4:47 pm    Post subject: Re: problem with portage Reply with quote

ksv wrote:
Подскажите новичку, как быть в такой ситуации. У меня установлен mysql-4.1.12 (который, как известно masked). Пытаюсь установить irc-бот eggdrop. Он хочет снести мой mysql и поставить более старую версию 4.0.24. Это не выход. Новый mysql мне нужен для php5. Как заставить его взять тот mysql, который у меня установлен.
Вот что пишет emerge:

# emerge -pv eggdrop

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild UD] dev-db/mysql-4.0.24 [4.1.12] +berkdb -debug -innodb +perl +readline (-selinux) +ssl -static +tcpd 0 kB
[ebuild N ] dev-lang/tcl-8.4.9 -threads 0 kB
[ebuild N ] net-irc/eggdrop-1.6.17 -debug +mysql -postgres +ssl -static 0 kB

Total size of downloads: 0 kB

P.S. Про USE флаги я знаю, не не понимаю, как их применить в этой ситуации.


Посмотри в файле сборки eggdrop что там прописано в зависимостях.
Если что подправь на нуджную тебе версию мускуля !
_________________
Web developer & High-load application deployer
Web Site: http://simonov.me
E-Mail: alex@simonov.me
Back to top
View user's profile Send private message
YD
Guru
Guru


Joined: 30 Oct 2004
Posts: 466
Location: Riga, Latvia

PostPosted: Fri May 27, 2005 11:00 pm    Post subject: Reply with quote

Code:
echo "=dev-db/mysql-4.1* ~x86" >> /etc/portage/package.keywords

Просто _никогда_ не надо ставить пакет с помощью ACCEPT_KEYWORDS.

з.ы. Сам я сижу на 4.0*
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum